shithub: aubio

Download patch

ref: 4f64069db70f820ccb42055e3a550f0bf7ab1544
parent: 430942414b9fbdba3c931d70b50236c7c3168bee
author: Paul Brossier <[email protected]>
date: Fri Mar 17 06:16:09 EDT 2017

scripts/build_mingw: add short report, make sure targets do not exist

--- a/scripts/build_mingw
+++ b/scripts/build_mingw
@@ -72,7 +72,8 @@
 function build_mingw() {
   DESTDIR="$PWD/aubio-$VERSION-$TARGET"
   [ -n "$WITH_FFMEG" ] && DESTDIR+="-ffmpeg"
-  [ -d $DESTDIR ] && rm -rf $DESTDIR $DESTDIR.zip
+  [ -f $DESTDIR.zip ] && echo "Remove existing $DESTDIR.zip first" && exit 1
+  [ -d $DESTDIR ] && rm -rf $DESTDIR
   WAFOPTS_TGT="$WAFOPTS --destdir=$DESTDIR"
   WAFOPTS_TGT+=" --with-target-platform=$TARGET"
   get_cflags
@@ -106,3 +107,9 @@
 WITH_FFMEG=1
 build_mingw32
 build_mingw64
+
+set +x
+echo ""
+echo "All done! The following files were generated:"
+echo ""
+ls -lart aubio*.zip*